Insights - Create
Maak een inzichtresource, dit is uitsluitend voor beheerders
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Impact/workloadImpacts/{workloadImpactName}/insights/{insightName}?api-version=2026-01-01-preview
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
insight
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9.]*[a-zA-Z0-9]{3,180}$ |
Naam van het inzicht |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
workload
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9-:]*[a-zA-Z0-9]{3,120}$ |
werkbelastingImpact resource |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| properties |
De resourcespecifieke eigenschappen voor deze resource. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De update-operatie van de bron 'Insight' is geslaagd |
|
| 201 Created |
De creatie van de functie 'Insight' van de bron is geslaagd |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Creating an insight
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Impact/workloadImpacts/impactid22/insights/insightId12?api-version=2026-01-01-preview
{
"properties": {
"content": {
"title": "Impact Has been correlated to an outage",
"description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
},
"category": "repair",
"status": "resolved",
"eventTime": "2023-06-15T04:00:00.009223Z",
"insightUniqueId": "00000000-0000-0000-0000-000000000000",
"impact": {
"impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
"startTime": "2023-06-15T01:00:00.009223Z",
"impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
}
}
}
Voorbeeldrespons
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22/insights/insightId12",
"name": "insightId12",
"type": "Microsoft.Impact/insights",
"properties": {
"eventTime": "2023-06-15T04:00:00.009223Z",
"content": {
"title": "Impact Has been correlated to an outage",
"description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
},
"category": "repair",
"status": "resolved",
"insightUniqueId": "00000000-0000-0000-0000-000000000000",
"impact": {
"impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
"startTime": "2023-06-15T01:00:00.009223Z",
"impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
}
}
}
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22/insights/insightId12",
"name": "insightId12",
"type": "Microsoft.Impact/insights",
"properties": {
"eventTime": "2023-06-15T04:00:00.009223Z",
"content": {
"title": "Impact Has been correlated to an outage",
"description": "At 2018-11-08T00:00:00Z UTC, your services dependent on these resources <link href=”…”>VM1</link> may have experienced an issue. <br/><div>We have identified an outage that affected these resources(s). You can look at outage information on <link href=\"https:// portal.azure.com/#view/Microsoft_Azure_Health/AzureHealthBrowseBlade/~/serviceIssues/trackingId/NL2W-VCZ\">NL2W-VCZ</link> link.<div>"
},
"category": "repair",
"status": "resolved",
"insightUniqueId": "00000000-0000-0000-0000-000000000000",
"impact": {
"impactedResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resource-rg/providers/Microsoft.Sql/sqlserver/dbservername",
"startTime": "2023-06-15T01:00:00.009223Z",
"impactId": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.Impact/workloadImpacts/impactid22"
}
}
}
Definities
| Name | Description |
|---|---|
| Content |
Artikeldetails van het inzicht zoals titel, beschrijving, enzovoort |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Impact |
details van de impact waarvoor inzicht is gegenereerd. |
| Insight |
Inzicht-bron |
|
Insight |
Impactcategorie-eigenschappen. |
|
Provisioning |
Inrichtingsstatus van de resource. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
Content
Artikeldetails van het inzicht zoals titel, beschrijving, enzovoort
| Name | Type | Description |
|---|---|---|
| description |
string |
Beschrijving van het inzicht |
| title |
string |
Titel van het inzicht |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ImpactDetails
details van de impact waarvoor inzicht is gegenereerd.
| Name | Type | Description |
|---|---|---|
| endTime |
string (date-time) |
Tijdstip waarop de impact is beëindigd volgens gerapporteerde impact. |
| impactId |
string |
Azure ID van de impact. |
| impactedResourceId |
string |
Lijst van getroffen Azure-bronnen. |
| startTime |
string (date-time) |
Tijdstip waarop de impact is gestart volgens gerapporteerde impact. |
Insight
Inzicht-bron
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties |
De resourcespecifieke eigenschappen voor deze resource. |
|
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
|
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
InsightProperties
Impactcategorie-eigenschappen.
| Name | Type | Description |
|---|---|---|
| additionalDetails |
object |
aanvullende details van het inzicht. |
| category |
string |
categorie van het inzicht. |
| content |
Bevat de titel & beschrijving voor het inzicht |
|
| eventId |
string |
Id van de gebeurtenis die is gecorreleerd met dit inzicht. Dit kan worden gebruikt om inzichten voor dezelfde gebeurtenis te aggregeren. |
| eventTime |
string (date-time) |
Tijd van de gebeurtenis, die is gecorreleerd aan de impact. |
| groupId |
string |
Id die kan worden gebruikt om vergelijkbare inzichten te groeperen. |
| impact |
details van de impact waarvoor inzicht is gegenereerd. |
|
| insightUniqueId |
string |
unieke id van het inzicht. |
| provisioningState |
Status van resourcevoorziening. |
|
| status |
string |
status van het inzicht. voorbeeld opgelost, hersteld, overig. |
ProvisioningState
Inrichtingsstatus van de resource.
| Waarde | Description |
|---|---|
| Succeeded |
Voorziening geslaagd |
| Failed |
Provisioning mislukt |
| Canceled |
Provisioning geannuleerd |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |